<?php
$tdatasalaries_and_allowances = array();
$tdatasalaries_and_allowances[".searchableFields"] = array();
$tdatasalaries_and_allowances[".ShortName"] = "salaries_and_allowances";
$tdatasalaries_and_allowances[".OwnerID"] = "";
$tdatasalaries_and_allowances[".OriginalTable"] = "salaries_and_allowances";


$tdatasalaries_and_allowances[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatasalaries_and_allowances[".originalPagesByType"] = $tdatasalaries_and_allowances[".pagesByType"];
$tdatasalaries_and_allowances[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatasalaries_and_allowances[".originalPages"] = $tdatasalaries_and_allowances[".pages"];
$tdatasalaries_and_allowances[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatasalaries_and_allowances[".originalDefaultPages"] = $tdatasalaries_and_allowances[".defaultPages"];

//	field labels
$fieldLabelssalaries_and_allowances = array();
$fieldToolTipssalaries_and_allowances = array();
$pageTitlessalaries_and_allowances = array();
$placeHolderssalaries_and_allowances = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalaries_and_allowances["English"] = array();
	$fieldToolTipssalaries_and_allowances["English"] = array();
	$placeHolderssalaries_and_allowances["English"] = array();
	$pageTitlessalaries_and_allowances["English"] = array();
	$fieldLabelssalaries_and_allowances["English"]["id"] = "Id";
	$fieldToolTipssalaries_and_allowances["English"]["id"] = "";
	$placeHolderssalaries_and_allowances["English"]["id"] = "";
	$fieldLabelssalaries_and_allowances["English"]["emp_id"] = "Emp Id";
	$fieldToolTipssalaries_and_allowances["English"]["emp_id"] = "";
	$placeHolderssalaries_and_allowances["English"]["emp_id"] = "";
	$fieldLabelssalaries_and_allowances["English"]["days_pay"] = "Days Pay";
	$fieldToolTipssalaries_and_allowances["English"]["days_pay"] = "";
	$placeHolderssalaries_and_allowances["English"]["days_pay"] = "";
	$fieldLabelssalaries_and_allowances["English"]["over_time"] = "Over Time";
	$fieldToolTipssalaries_and_allowances["English"]["over_time"] = "";
	$placeHolderssalaries_and_allowances["English"]["over_time"] = "";
	$fieldLabelssalaries_and_allowances["English"]["meal_allowance"] = "Meal Allowance";
	$fieldToolTipssalaries_and_allowances["English"]["meal_allowance"] = "";
	$placeHolderssalaries_and_allowances["English"]["meal_allowance"] = "";
	$fieldLabelssalaries_and_allowances["English"]["e_P_f"] = "E P F";
	$fieldToolTipssalaries_and_allowances["English"]["e_P_f"] = "";
	$placeHolderssalaries_and_allowances["English"]["e_P_f"] = "";
	$fieldLabelssalaries_and_allowances["English"]["special_allowance_1"] = "Special Allowance";
	$fieldToolTipssalaries_and_allowances["English"]["special_allowance_1"] = "";
	$placeHolderssalaries_and_allowances["English"]["special_allowance_1"] = "";
	$fieldLabelssalaries_and_allowances["English"]["budgetary_relief_allowance"] = "Budgetary Relief Allowance";
	$fieldToolTipssalaries_and_allowances["English"]["budgetary_relief_allowance"] = "";
	$placeHolderssalaries_and_allowances["English"]["budgetary_relief_allowance"] = "";
	$fieldLabelssalaries_and_allowances["English"]["branch_code"] = "Branch Code";
	$fieldToolTipssalaries_and_allowances["English"]["branch_code"] = "";
	$placeHolderssalaries_and_allowances["English"]["branch_code"] = "";
	if (count($fieldToolTipssalaries_and_allowances["English"]))
		$tdatasalaries_and_allowances[".isUseToolTips"] = true;
}


	$tdatasalaries_and_allowances[".NCSearch"] = true;



$tdatasalaries_and_allowances[".shortTableName"] = "salaries_and_allowances";
$tdatasalaries_and_allowances[".nSecOptions"] = 0;

$tdatasalaries_and_allowances[".mainTableOwnerID"] = "";
$tdatasalaries_and_allowances[".entityType"] = 0;
$tdatasalaries_and_allowances[".connId"] = "test2_at_localhost";


$tdatasalaries_and_allowances[".strOriginalTableName"] = "salaries_and_allowances";

	



$tdatasalaries_and_allowances[".showAddInPopup"] = false;

$tdatasalaries_and_allowances[".showEditInPopup"] = false;

$tdatasalaries_and_allowances[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasalaries_and_allowances[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasalaries_and_allowances[".listAjax"] = false;
//	temporary
$tdatasalaries_and_allowances[".listAjax"] = false;

	$tdatasalaries_and_allowances[".audit"] = true;

	$tdatasalaries_and_allowances[".locking"] = false;


$pages = $tdatasalaries_and_allowances[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalaries_and_allowances[".edit"] = true;
	$tdatasalaries_and_allowances[".afterEditAction"] = 1;
	$tdatasalaries_and_allowances[".closePopupAfterEdit"] = 1;
	$tdatasalaries_and_allowances[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalaries_and_allowances[".add"] = true;
$tdatasalaries_and_allowances[".afterAddAction"] = 1;
$tdatasalaries_and_allowances[".closePopupAfterAdd"] = 1;
$tdatasalaries_and_allowances[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalaries_and_allowances[".list"] = true;
}



$tdatasalaries_and_allowances[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalaries_and_allowances[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalaries_and_allowances[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalaries_and_allowances[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalaries_and_allowances[".printFriendly"] = true;
}



$tdatasalaries_and_allowances[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalaries_and_allowances[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalaries_and_allowances[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalaries_and_allowances[".isUseAjaxSuggest"] = true;

$tdatasalaries_and_allowances[".rowHighlite"] = true;



																																																			

$tdatasalaries_and_allowances[".ajaxCodeSnippetAdded"] = false;

$tdatasalaries_and_allowances[".buttonsAdded"] = false;

$tdatasalaries_and_allowances[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalaries_and_allowances[".isUseTimeForSearch"] = false;


$tdatasalaries_and_allowances[".badgeColor"] = "2F4F4F";


$tdatasalaries_and_allowances[".allSearchFields"] = array();
$tdatasalaries_and_allowances[".filterFields"] = array();
$tdatasalaries_and_allowances[".requiredSearchFields"] = array();

$tdatasalaries_and_allowances[".googleLikeFields"] = array();
$tdatasalaries_and_allowances[".googleLikeFields"][] = "id";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "emp_id";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "days_pay";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "over_time";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "meal_allowance";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "e_P_f";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "special_allowance_1";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "budgetary_relief_allowance";
$tdatasalaries_and_allowances[".googleLikeFields"][] = "branch_code";



$tdatasalaries_and_allowances[".tableType"] = "list";

$tdatasalaries_and_allowances[".printerPageOrientation"] = 0;
$tdatasalaries_and_allowances[".nPrinterPageScale"] = 100;

$tdatasalaries_and_allowances[".nPrinterSplitRecords"] = 40;

$tdatasalaries_and_allowances[".geocodingEnabled"] = false;










$tdatasalaries_and_allowances[".pageSize"] = 20;

$tdatasalaries_and_allowances[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasalaries_and_allowances[".strOrderBy"] = $tstrOrderBy;

$tdatasalaries_and_allowances[".orderindexes"] = array();


$tdatasalaries_and_allowances[".sqlHead"] = "SELECT id,  	emp_id,  	days_pay,  	over_time,  	meal_allowance,  	e_P_f,  	special_allowance_1,  	budgetary_relief_allowance,  	branch_code";
$tdatasalaries_and_allowances[".sqlFrom"] = "FROM salaries_and_allowances";
$tdatasalaries_and_allowances[".sqlWhereExpr"] = "";
$tdatasalaries_and_allowances[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalaries_and_allowances[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalaries_and_allowances[".arrGroupsPerPage"] = $arrGPP;

$tdatasalaries_and_allowances[".highlightSearchResults"] = true;

$tableKeyssalaries_and_allowances = array();
$tableKeyssalaries_and_allowances[] = "id";
$tdatasalaries_and_allowances[".Keys"] = $tableKeyssalaries_and_allowances;


$tdatasalaries_and_allowances[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["id"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "id";
//	emp_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "emp_id";
	$fdata["GoodName"] = "emp_id";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","emp_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "emp_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "emp_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "sys_manage";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "ID";

	

	
	$edata["LookupOrderBy"] = "ID";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["emp_id"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "emp_id";
//	days_pay
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "days_pay";
	$fdata["GoodName"] = "days_pay";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","days_pay");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "days_pay";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "days_pay";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["days_pay"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "days_pay";
//	over_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "over_time";
	$fdata["GoodName"] = "over_time";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","over_time");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "over_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "over_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["over_time"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "over_time";
//	meal_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "meal_allowance";
	$fdata["GoodName"] = "meal_allowance";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","meal_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "meal_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "meal_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["meal_allowance"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "meal_allowance";
//	e_P_f
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "e_P_f";
	$fdata["GoodName"] = "e_P_f";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","e_P_f");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "e_P_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e_P_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["e_P_f"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "e_P_f";
//	special_allowance_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "special_allowance_1";
	$fdata["GoodName"] = "special_allowance_1";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","special_allowance_1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "special_allowance_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "special_allowance_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["special_allowance_1"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "special_allowance_1";
//	budgetary_relief_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "budgetary_relief_allowance";
	$fdata["GoodName"] = "budgetary_relief_allowance";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","budgetary_relief_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "budgetary_relief_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "budgetary_relief_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["budgetary_relief_allowance"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "budgetary_relief_allowance";
//	branch_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "branch_code";
	$fdata["GoodName"] = "branch_code";
	$fdata["ownerTable"] = "salaries_and_allowances";
	$fdata["Label"] = GetFieldLabel("salaries_and_allowances","branch_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "branch_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "branch_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalaries_and_allowances["branch_code"] = $fdata;
		$tdatasalaries_and_allowances[".searchableFields"][] = "branch_code";


$tables_data["salaries_and_allowances"]=&$tdatasalaries_and_allowances;
$field_labels["salaries_and_allowances"] = &$fieldLabelssalaries_and_allowances;
$fieldToolTips["salaries_and_allowances"] = &$fieldToolTipssalaries_and_allowances;
$placeHolders["salaries_and_allowances"] = &$placeHolderssalaries_and_allowances;
$page_titles["salaries_and_allowances"] = &$pageTitlessalaries_and_allowances;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["salaries_and_allowances"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["salaries_and_allowances"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salaries_and_allowances()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	emp_id,  	days_pay,  	over_time,  	meal_allowance,  	e_P_f,  	special_allowance_1,  	budgetary_relief_allowance,  	branch_code";
$proto0["m_strFrom"] = "FROM salaries_and_allowances";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "salaries_and_allowances";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_id",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto8["m_sql"] = "emp_id";
$proto8["m_srcTableName"] = "salaries_and_allowances";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "days_pay",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto10["m_sql"] = "days_pay";
$proto10["m_srcTableName"] = "salaries_and_allowances";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "over_time",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto12["m_sql"] = "over_time";
$proto12["m_srcTableName"] = "salaries_and_allowances";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "meal_allowance",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto14["m_sql"] = "meal_allowance";
$proto14["m_srcTableName"] = "salaries_and_allowances";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "e_P_f",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto16["m_sql"] = "e_P_f";
$proto16["m_srcTableName"] = "salaries_and_allowances";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "special_allowance_1",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto18["m_sql"] = "special_allowance_1";
$proto18["m_srcTableName"] = "salaries_and_allowances";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "budgetary_relief_allowance",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto20["m_sql"] = "budgetary_relief_allowance";
$proto20["m_srcTableName"] = "salaries_and_allowances";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "branch_code",
	"m_strTable" => "salaries_and_allowances",
	"m_srcTableName" => "salaries_and_allowances"
));

$proto22["m_sql"] = "branch_code";
$proto22["m_srcTableName"] = "salaries_and_allowances";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "salaries_and_allowances";
$proto25["m_srcTableName"] = "salaries_and_allowances";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "id";
$proto25["m_columns"][] = "emp_id";
$proto25["m_columns"][] = "days_pay";
$proto25["m_columns"][] = "over_time";
$proto25["m_columns"][] = "meal_allowance";
$proto25["m_columns"][] = "e_P_f";
$proto25["m_columns"][] = "special_allowance_1";
$proto25["m_columns"][] = "budgetary_relief_allowance";
$proto25["m_columns"][] = "branch_code";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "salaries_and_allowances";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "salaries_and_allowances";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salaries_and_allowances";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salaries_and_allowances = createSqlQuery_salaries_and_allowances();


	
		;

									

$tdatasalaries_and_allowances[".sqlquery"] = $queryData_salaries_and_allowances;



$tableEvents["salaries_and_allowances"] = new eventsBase;
$tdatasalaries_and_allowances[".hasEvents"] = false;

?>